﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics35.Web.v10.3, Version=10.3.20103.2002, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <div style="padding-left: 20px">
          <p>The following sample shows how to get the current selected items on the client-side. 
          Select any rows and click the button to see the current selected rows.</p>
            <div id="selection" style="width: 50%; height: 200px; border: 1px solid black; margin: 15px 15px 15px 0;
                padding: 10px; line-height: 20px">
               
            </div>
            <ig:WebHierarchicalDataGrid ID="WebHierarchicalDataGrid1" DataKeyFields="ActorID"
                runat="server" InitialDataBindDepth="-1" Width="80%" Height="350px" AutoGenerateColumns="true"
                AutoGenerateBands="true">
                <Behaviors>
                    <ig:Activation Enabled="true">
                    </ig:Activation>
                    <ig:Selection CellClickAction="Row" RowSelectType="Multiple">
                    </ig:Selection>
                </Behaviors>
            </ig:WebHierarchicalDataGrid>
            <br />
            <input type="button" onclick="GetSelected(); return false;" value="Get Selected Items" />
        </div>

        <script type="text/javascript">

            function AddLine(gridView) {

                var events = document.getElementById("selection"); // gets reference to the DIV element
                var selectedRows = GetSelectedRows(gridView);
                for (var i = selectedRows.get_length() - 1; i >= 0; i--) {
                    if (gridView._level == 0)
                        events.innerHTML += selectedRows.getItem(i).get_cell(1).get_text() + "<br> "; // gets a refrence to the actor name cell
                    else
                        events.innerHTML += selectedRows.getItem(i).get_cell(2).get_text() + "<br> "; // gets a refrence to the title or song name cell
                }

            }

            function GetSelectedRows(gridView) {
                return gridView.get_behaviors().get_selection().get_selectedRows(); // gets the selected rows for the grid view
            }

            function GetChildGridView(gridView) {
                if (gridView._level == 0)
                    AddLine(gridView);

                var rows = gridView.get_rows(); // gets a reference to the container grid's rows
                for (var i = 0; i < rows.get_length(); i++) {
                    var childGridView = rows.get_row(i).get_rowIslands()[0]; // gets reference to the child grid view
                    if (childGridView) {
                        AddLine(childGridView); // adds a line with the current selected row to the DIV element
                        GetChildGridView(childGridView);
                    }
                }
            }
            
            function GetSelected() {
                var events = document.getElementById("selection");
                events.innerHTML = "";
                var grid = $find('<%= this.WebHierarchicalDataGrid1.ClientID %>');
                GetChildGridView(grid.get_gridView());
            }
        </script>

    </div>
    </form>
</body>
</html>
